Page MenuHomeFreeBSD

Update giflib to 5.0.5
ClosedPublic

Authored by bapt on Dec 23 2014, 10:18 PM.

Details

Reviewers
antoine
Group Reviewers
portmgr
Summary

Remove noop X11 option cleanup a bit

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

bapt updated this revision to Diff 2835.Dec 23 2014, 10:18 PM
bapt retitled this revision from to Update giflib to 5.0.5.
bapt updated this object.
bapt edited the test plan for this revision. (Show Details)
bapt added a reviewer: portmgr.

> Checking for items in pkg-plist which are not in STAGEDIR

Error: Missing: man/man1/gif2raw.1.gz
Error: Missing: man/man1/gif2rgb.1.gz
Error: Missing: man/man1/gifbuild.1.gz
Error: Missing: man/man1/gifclrmp.1.gz
Error: Missing: man/man1/gifecho.1.gz
Error: Missing: man/man1/giffix.1.gz
Error: Missing: man/man1/gifinto.1.gz
Error: Missing: man/man1/giflib.1.gz
Error: Missing: man/man1/giftext.1.gz
Error: Missing: man/man1/giftool.1.gz

bapt updated this revision to Diff 2839.Dec 23 2014, 11:26 PM

Always install manpages manually so they do not only get installed if xmlto/docbook was found installed

bapt updated this revision to Diff 2840.Dec 23 2014, 11:26 PM
bapt edited edge metadata.

push the right patch

antoine added inline comments.Dec 24 2014, 12:01 AM
graphics/giflib/Makefile
40

.if ${PORT_OPTIONS:MDOCBOOK} && ${PORT_OPTIONS:MDOCS} ??

bapt updated this revision to Diff 2841.Dec 24 2014, 12:13 AM

Fix docbook conditional

and the plist too?

Last exp-run:

http://package22.nyi.freebsd.org/build.html?mastername=101amd64-default-giflib505&build=2014-12-26_18h20m15s

New failures during last exp-run:

+ {"origin"=>"graphics/ocaml-images", "pkgname"=>"ocaml-images-4.0.1_3,2", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/p5-Image-Scale", "pkgname"=>"p5-Image-Scale-0.08_5", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/p5-ming", "pkgname"=>"p5-ming-0.4.5_3", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/php5-swfed", "pkgname"=>"php5-swfed-0.62_2", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/simpleviewer", "pkgname"=>"simpleviewer-1.7.1553.8560_7", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/swftools", "pkgname"=>"swftools-0.9.2_5", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"java/openjdk8", "pkgname"=>"openjdk8-8.25.17_3", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"java/openjdk8-jre", "pkgname"=>"openjdk8-jre-8.25.17_3", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"net-im/kmess-kde4", "pkgname"=>"kmess-2.0.6.2_7", "phase"=>"build", "errortype"=>"bad_C++_code"}

I have patches that are currently being tested for all of them but 2: p5-Image-Scale (looks a bit complicated with changes in undocumented API AddExtensionBlocks) and simpleviewer (didn't look)

Last exp-run:

http://package22.nyi.freebsd.org/build.html?mastername=101i386-default-giflib505&build=2014-12-27_08h56m32s

1 new failure:

+ {"origin"=>"graphics/p5-Image-Scale", "pkgname"=>"p5-Image-Scale-0.08_5", "phase"=>"build", "errortype"=>"compiler_error"}

Failure log:

http://package22.nyi.freebsd.org/data/101i386-default-giflib505/2014-12-27_08h56m32s/logs/errors/p5-Image-Scale-0.08_5.log

If we don't have a fix we can mark it broken (uses undocumented api)

antoine accepted this revision.Jan 14 2015, 6:16 PM
antoine added a reviewer: antoine.

I will commit this in a few seconds

This revision is now accepted and ready to land.Jan 14 2015, 6:16 PM
bapt closed this revision.Jan 16 2015, 12:16 PM